# List Pages with a linked Instagram account

Returns Pages with a linked Instagram account.

```http
GET https://api.pozy.ai/v1/connect/instagram/select-account
```

- Area: Accounts & connections / Connect
- Auth: API key plus X-Connect-Token header

## Query parameters

- `profileId` (string, required)
- `tempToken` (string)
- `connectFlow` (string)

## Header parameters

- `X-Temp-Token` (string)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/connect/instagram/select-account?profileId=6a0b6573846efc28aaa9a3ff" \
  -H "X-Connect-Token: $CONNECT_TOKEN"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/connect/instagram/select-account?profileId=6a0b6573846efc28aaa9a3ff", {
  headers: { "X-Connect-Token": process.env.CONNECT_TOKEN! },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/connect/instagram/select-account",
    headers={"X-Connect-Token": os.environ["CONNECT_TOKEN"]},
    params={
        "profileId": "6a0b6573846efc28aaa9a3ff",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `pages`, array of object
  - `id`, string
  - `name`, string
  - `access_token`, string
  - `instagram_business_account`, object
    - `id`, string
    - `username`, string
    - `profile_picture_url`, string
    - `followers_count`, integer

```json
{
  "pages": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "name": "Acme",
      "access_token": "string",
      "instagram_business_account": {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "username": "acme",
        "profile_picture_url": "https://pozy.ai/media/example-1.jpg",
        "followers_count": 42
      }
    }
  ]
}
```
